Subject: Re: [PATCH net-next 1/7] dt-bindings: net: sff,sfp: update binding

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 20 Oct 2022 15:31:51 +0100

On Thu, Oct 20, 2022 at 09:19:23AM -0500, Rob Herring wrote:
> On Thu, Oct 20, 2022 at 09:28:25AM +0100, Russell King (Oracle) wrote:
> > On Wed, Oct 19, 2022 at 06:31:53PM -0500, Rob Herring wrote:
> > > On Wed, 19 Oct 2022 14:28:46 +0100, Russell King (Oracle) wrote:
> > > > Add a minimum and default for the maximum-power-milliwatt option;
> > > > module power levels were originally up to 1W, so this is the default
> > > > and the minimum power level we can have for a functional SFP cage.
> > > > 
> > > > Signed-off-by: Russell King (Oracle) <[email-masked]>
> > > > ---
> > > >  Documentation/devicetree/bindings/net/sff,sfp.yaml | 2 ++
> > > >  1 file changed, 2 insertions(+)
> > > > 
> > > 
> > > My bot found errors running 'make DT_CHECKER_FLAGS=-m dt_binding_check'
> > > on your patch (DT_CHECKER_FLAGS is new in v5.13):
> > > 
> > > yamllint warnings/errors:
> > > 
> > > dtschema/dtc warnings/errors:
> > > /builds/robherring/dt-review-ci/linux/Documentation/devicetree/bindings/net/sff,sfp.yaml: properties:maximum-power-milliwatt: 'minimum' should not be valid under {'enum': ['const', 'enum', 'exclusiveMaximum', 'exclusiveMinimum', 'minimum', 'maximum', 'multipleOf', 'pattern']}
> > > 	hint: Scalar and array keywords cannot be mixed
> > > 	from schema $id: http://devicetree.org/meta-schemas/keywords.yaml#
> > 
> > I'm reading that error message and it means absolutely nothing to me.
> > Please can you explain it (and also re-word it to be clearer)?
> 
> 'maxItems' is a constraint for arrays. 'maximum' is a constraint for 
> scalar values. Mixing them does not make sense.
> 
> I have little control over the 1st line as that comes from jsonschema 
> package. 'hint' is what I've added to explain things a bit more.

Given that maximum-power-milliwatt is a single value and has never been
an array, it seems then that the original conversion to yaml was wrong.
What should it have been?

(I'm clueless what the difference is between an array and scalar in
this yaml stuff.)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!